<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__capsense__macros__miscellaneous" kind="group">
    <compoundname>group_capsense_macros_miscellaneous</compoundname>
    <title>Miscellaneous Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__capsense__macros__miscellaneous_1ga28d833476c3b7b4c16772b4271f50ff4" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_TU_CMD_COMPLETE_BIT</name>
        <initializer>(0x8000u)</initializer>
        <briefdescription>
<para>Defines the communication command complete bit mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="548" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="548" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__miscellaneous_1ga14217247882e150c2ac54b09ad64e4d9" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_STATUS_RESTART_NONE</name>
        <initializer>(0x00u)</initializer>
        <briefdescription>
<para>Defines the status if restart was not performed in <ref kindref="member" refid="group__group__capsense__high__level_1ga0c613df550388c119fdab4e50341a6b4">Cy_CapSense_RunTuner()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="550" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="550" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__miscellaneous_1ga58ba0a06e4c9655932c533924e6e7a1c" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_STATUS_RESTART_DONE</name>
        <initializer>(0x01u)</initializer>
        <briefdescription>
<para>Defines the status if restart was done in <ref kindref="member" refid="group__group__capsense__high__level_1ga0c613df550388c119fdab4e50341a6b4">Cy_CapSense_RunTuner()</ref> </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="552" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="552" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__miscellaneous_1gabf3b4c535607496679a9ba710bcf91ff" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_IDAC_GAIN_NUMBER</name>
        <initializer>(6u)</initializer>
        <briefdescription>
<para>Number of supported idac gains. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="554" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="554" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__miscellaneous_1ga413e16caaf9cf67a365931831f50dc81" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_PERCENTAGE_100</name>
        <initializer>(100u)</initializer>
        <briefdescription>
<para>100% value </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="556" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="556" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__miscellaneous_1gaa3801c6cd46a47207de6f273dbb5ab78" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_SCAN_SCOPE_UND</name>
        <initializer>(0u)</initializer>
        <briefdescription>
<para>Sensor scanning scope is undefined. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="559" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="559" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__miscellaneous_1gaf724f5e46b2dcf9342196ed07fefd41e" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_SCAN_SCOPE_SGL_SNS</name>
        <initializer>(1u)</initializer>
        <briefdescription>
<para>Sensor scanning scope is a single sensor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="561" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="561" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__miscellaneous_1ga8dfc7eb221d7b9ff81afd17b7109861f" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_SCAN_SCOPE_ALL_SNS</name>
        <initializer>(2u)</initializer>
        <briefdescription>
<para>Sensor scanning scope is all sensors in a queue. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="563" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="563" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__miscellaneous_1ga17a6ce7b5c3b4883cc1e27f1782853e3" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_SCAN_SCOPE_SGL_WD</name>
        <initializer>(0u)</initializer>
        <briefdescription>
<para>Widget scanning scope is a single widget. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="565" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="565" />
      </memberdef>
      <memberdef id="group__group__capsense__macros__miscellaneous_1ga2ce69ee77474719b551552cc84def3c7" kind="define" prot="public" static="no">
        <name>CY_CAPSENSE_SCAN_SCOPE_ALL_WD</name>
        <initializer>(1u)</initializer>
        <briefdescription>
<para>Widget scanning scope is all widgets. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" bodystart="567" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_common.h" line="567" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Miscellaneous macros. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>